.number-field {
    display: flex;
    column-gap: 8px;
    align-items: center;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: 42px;
        outline: none;
        color: #fff;
        display: block;
        text-align: center;
        font-weight: 400;
        font-size: 12px;
        line-height: 20px;
        padding: 10px 2px;
        background: #222222;
        border-radius: 4px;
        vertical-align: middle;
        border: 1px solid #222;
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }

        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__button {
        padding: 0;
        width: 42px;
        height: 42px;
        border: none;
        outline: none;
        color: white;
        font-weight: 600;
        font-size: 18px;
        line-height: 20px;
        border-radius: 4px;
        cursor: pointer;
        text-decoration: none;
        transition: var(--transition-time);
        background-color: var(--orange);
        display: block;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;

        &:hover {
            color: white;
            text-decoration: none;
            background-color: var(--orange-hover);
            transition: var(--transition-time);
        }

        &:active {
            color: white;
            background-color: var(--orange);
        }
    }

    &__field {
        flex-grow: 1;
    }

    &__input {

    }
}
